## GwySelectionGraphArea GwySelectionGraphArea — Area-wise graph selection |

## Functions

GwySelection * | gwy_selection_graph_area_new ()

## Types and Values

struct | GwySelectionGraphArea
struct | GwySelectionGraphAreaClass

## Object Hierarchy

        GObject
        ╰── GwySelection
            ╰── GwySelectionGraphArea

## Implemented Interfaces

GwySelectionGraphArea implements GwySerializable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

GwySelectionGraphArea is used to represent area-wise graph selections. Selection data consists of coordinate quadruples (x0, y0, x1, y1).

## Functions

### gwy_selection_graph_area_new ()

    GwySelection *
    gwy_selection_graph_area_new (void);

Creates a new area-wise graph selection.

#### Returns

A new selection object.

Since: 2.1

## Types and Values

### struct GwySelectionGraphArea

    struct GwySelectionGraphArea;

### struct GwySelectionGraphAreaClass

    struct GwySelectionGraphAreaClass {
        GwySelectionClass parent_class;
    };